Ticket #42791

Failing target kind assert for Poison City

Date d'ouverture: 2021-09-05 18:22 Dernière mise à jour: 2021-09-17 11:04

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
3

Détails

S3_1 (commit 82e38aecaab5b5aa0046f1b631c02aaf38e1db7b) civ2civ3 autogame logs:

0: - 2021/09/05 11:42:21 in is_action_enabled_unit_on_tile_full() [../../src/common/actions.c::4912]: assertion 'ATK_TILE == action_get_target_kind(action_by_number(wanted_action))' failed.

0: - 2021/09/05 11:42:21 in is_action_enabled_unit_on_tile_full() [../../src/common/actions.c::4912]: Action Poison City is against individual cities not tiles

I'll try to reproduce later.

Ticket History (3/9 Histories)

2021-09-05 18:22 Updated by: cazfi
  • New Ticket "Failing target kind assert for Poison City" created
2021-09-06 10:22 Updated by: cazfi
Commentaire

Attached backtrace and an autogame to reproduce.

2021-09-07 08:47 Updated by: cazfi
  • Details Updated
2021-09-15 20:21 Updated by: cazfi
Commentaire

Seems like activity gets passed to action_speculate_unit_on_tile() where action is expected.

2021-09-15 22:50 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
  • Jalon Update from (Aucun) to 3.1.0
  • Composant Update from (Aucun) to Server
2021-09-17 11:04 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion